VARNA(1)

NAME
varna - Assisted drawing of RNA secondary structure

SYNOPSIS
java -cp . [-i InFile|-sequenceDBN XXX -structureDBN YYY] -o OutFile [Options]

DESCRIPTION
VARNA v3.9 Assisted drawing of RNA secondary structure (Command Line version)

  Where:

OutFile
    Supported formats: {JPEG,PNG,EPS,XFIG,SVG}

InFile
    Secondary structure file: Supported formats: {BPSEQ,CT,RNAML,DBN}

  Main options:

-algorithm
    Drawing algorithm, chosen from [naview,line,radiate,circular]

-backbone
    Backbone color (Ex: #334455)

-baseInner
    Default value for inner base color (Ex: #334455)

-baseOutline
    Base outline color (Ex: #334455)

-bp Base pair color (Ex: #334455)

-bpStyle
    Look and feel for base pairs drawings, chosen from [lw,lwalt,none,simple,rnaviz]

-h  Displays a short description of main options and exits

-periodNum
    Periodicity of base-numbering

-x  Displays a detailed description of all options

  Advanced options:

-annotations
    A set of textual annotations

-applyBasesStyle
    Base style application

-autoHelices

-autoInteriorLoops

-autoTerminalLoops

-auxBPs
    Adds a list of (possibly non-canonical) base-pairs to those already defined by the main secondary structure (Ex: "(1,10);(2,11);(3,12)"). Custom BP styles c

    an be specified (Ex: "(2,11):thickness=4;(3,12):color=#FF0000").

-background
    Background color (Ex: #334455)

-baseName
    Residues font color (Ex: #334455)

-baseNum
    Base numbers font color (Ex: #334455)

-basesStyle
    Base style declaration

-border
    Border width and height in pixels (Ex: "20x40")

-bpIncrement
    Distance between nested base-pairs (i.e. arcs) in linear representation

-chemProb

-colorMap
    Associates a list of numerical values (eg '0.2,0.4,0.6,0.8') with the RNA base s with respect to their natural order, and modifies the color used to fill the se bases according to current color map style.

-colorMapCaption
    Sets current color map caption.

-colorMapMax

-colorMapMin

-colorMapStyle
    Selects a specific color map style. It can be either one of the predefined sty les (eg 'red', 'green', 'blue', 'bw', 'heat', 'energy') or a new one (eg '0:#F FFF00;1:#ffFFFF;6:#FF0000').

-columns
    Sets number of rows

-comparisonMode
    Activates comparison mode

-customBPs

-customBases

-drawBackbone
    True if the backbone must be drawn, false otherwise

-drawBases
    Shows/hide the outline of bases

-drawColorMap

-drawNC
    Toggles on/off display of non-canonical base-pairs

-drawTertiary
    Toggles on/off display of tertiary interaction, ie pseudoknots

-error
    Show errors

-fillBases
    Fills or leaves empty the inner portions of bases

-firstSequence
    In comparison mode, sequence of first RNA

-firstStructure
    In comparison mode, structure of first RNA

-flat
    Toggles on/off (true/false) drawing exterior bases on a straight line

-flip
    Draws a set of exterior helices, identified by the argument string, in clockwi se order (default drawing is counter-clockwise). The argument is a semicolon-s eparated list of helices, each identified by a base or a base-pair (eg. "2;20- 34").

-gapsColor
    Define and use custom color for gaps bases in comparison mode

-highlightRegion
    Highlight a set of contiguous regions

-modifiable
    Allows/prohibits modifications

-nsBasesColor
    Define and use custom color for non-standard bases in comparison mode

-orientation
    Sets the general orientation of an RNA, i.e. the deviation of the longest axis (defined by the most distant couple of bases) from the horizontal axis.

-quality
    Sets quality (non-vector file formats only)

-resolution
    Sets resolution (non-vector file formats only)

-rotation
    Rotates RNA after initial drawing (Ex: '20' for a 20 degree counter-clockwise rotation)

-rows
    Sets number of columns

-secondSequence
    In comparison mode, sequence of second RNA

-secondStructure
    In comparison mode, structure of second RNA

-sequenceDBN
    Raw RNA sequence

-spaceBetweenBases
    Sets the space between consecutive bases

-structureDBN
    RNA structure given in dot bracket notation (DBN)

-title
    RNA drawing title

-titleColor
    Title color (Ex: #334455)

-titleSize
    Title font size

-warning
    Show warnings

-zoom
    Zoom coefficient

-zoomAmount
    Zoom increment on user interaction